Subject: [bug#42792] [PATCH] gnu: Add python-pydantic.

From: Tanguy Le Carrour <[email-masked]>
Date: Tue, 11 Aug 2020 11:00:18 +0200

Hi Mathieu,

Le 08/11, Mathieu Othacehe a écrit :
> Hey Tanguy,
> 
> >>         (uri (git-reference
> >>               (url "https://github.com/samuelcolvin/pydantic")
> >> -              (commit (string-append "v" version))))
> >> +             (commit (string-append "v" version))))
> >>         (file-name (git-file-name name version))
> >> -       (sha256 (base32 "1380s9k77g6q15by9fkxndczjk89q6xpz09jdrqip535xws2z3j8"))))
> >> +       (sha256
> >> +        (base32 "1380s9k77g6q15by9fkxndczjk89q6xpz09jdrqip535xws2z3j8"))))
> >
> > Thanks for paying attention to every details!!
> > Actually, those things have been bothering me for quiet a while…
> > They are not reported by `./pre-inst-env guix lint python-pydantic` or
> > fixed by `emacs --script etc/indent-code.el gnu/packages/python-xyz.scm python-pydantic`. :-(
> 
> The first diff is fixed when running "./etc/indent-code.el
> gnu/packages/python-xyz.scm python-pydantic" for me.
> 
> >
> > Would the following have been acceptable?
> >
> > ```
> >> +       (sha256 (base32
> >> +                "1380s9k77g6q15by9fkxndczjk89q6xpz09jdrqip535xws2z3j8"))))
> > ```
> 
> It is acceptable but the convention is to put "base32" on the next line.
> 
> >
> > And what about this? (2-space indent instead of 1, like `add-before` below)
> >
> > ```
> >> +       (sha256
> >> +         (base32 "1380s9k77g6q15by9fkxndczjk89q6xpz09jdrqip535xws2z3j8"))))
> > ```
> 
> No only one space here, this is also handled by the indent script for me.

Actually, I think there might be a problem with the way I use the
script, because it does not fix anything!? :-(
And before you say it, I know, I should be using Emacs and not Vim! ;-)
I've considered moving to Emacs as my dev environment (not as my text editor),
but there are so many things I have to set up to feel at home: evil,
python, fuzzy file search… I hope I'll have some time to work on this
later this month.

> >>      (build-system python-build-system)
> >>      (arguments
> >>       '(#:phases
> >>         (modify-phases %standard-phases
> >> -         ;; Reported upstream: <https://github.com/samuelcolvin/pydantic/issues/1580>
> >> -         ;; Not sure how to apply the suggested fix!?
> >> +         ;; Reported upstream:
> >> +         ;; <https://github.com/samuelcolvin/pydantic/issues/1580>.
> >> +         ;; Disable the faulty test as the fix is unclear.
> >
> > Much better, thanks!
> > In retrospect, I realize that I should have put the question in the
> > commit message for a maintainer to read, not in the package definition.
> > Would that have been better?!
> 
> No it's perfectly fine in the package declaration :)
> 
> Hope I'm not bothering you to much with this boring syntactic stuff :p

Not at all! I actually very much appreciate the fact that people take the
time to review and discuss contributions!

Regards

-- 
Tanguy